[vorbis-dev] libvorbis on Classic MacOS

Segher Boessenkool segher at koffie.nl
Wed Feb 5 23:19:22 PST 2003

Timothy Wayper wrote:

> The problem is that our classic MacOS build is currently under MPW/MrC. 
> I can compile libogg/libvorbis fine (requires enabling the intrinsic 
> alloca support), but there seems to be a problem with the code produced. 

Are there any warnings?  Do you enable Altivec?

 > Presumably,
> this is a problem with the MrC compiler (which is unfortunate, generally 
> it's code generation is very good!),


> I guess my real question is simply "does the Metrowerks compiler build 
> libogg/libvorbis on this platform correctly?".

It used to do so, some year or so ago.  I didn't use the prebuilt
project files, though.

MrC worked fine, too (I used that even earlier).

I recommend you do some more debugging; sorry about that.


<p>--- >8 ----
List archives:  http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'vorbis-dev-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.

More information about the Vorbis-dev mailing list